<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.MaterializedConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_background_fixed_dark"
    android:orientation="vertical">

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface_fixed_dark" />

    <RelativeLayout
        android:id="@+id/normal_toolbar_container"
        android:layout_width="match_parent"
        android:layout_height="@dimen/appbar_height"
        app:layout_constraintTop_toBottomOf="@id/statusBar">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/normal_toolbar"
            style="@style/Base_ToolbarStyle"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/ui_surface_fixed_dark"
            app:contentInsetEnd="0dp"
            app:contentInsetStartWithNavigation="0dp"
            app:navigationIcon="@null">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <FrameLayout
                    android:id="@+id/backContainer"
                    android:layout_width="48dp"
                    android:layout_height="48dp">

                    <ImageView
                        android:id="@+id/backBtn"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_gravity="center"
                        android:background="?attr/selectableItemBackgroundBorderless"
                        android:clickable="true"
                        android:focusable="true"
                        app:srcCompat="@drawable/ic_function_close" />
                </FrameLayout>

                <TextView
                    android:id="@+id/normal_title"
                    style="@style/toolbar_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:textColor="@color/text_aw_primary"
                    android:textSize="16sp"
                    tools:text="12345" />

                <ImageView
                    android:id="@+id/arrowIv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_marginLeft="-12dp"
                    android:layout_toRightOf="@+id/normal_title"
                    android:padding="16dp"
                    app:srcCompat="@drawable/ic_pin_down" />
            </RelativeLayout>
        </androidx.appcompat.widget.Toolbar>

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/ui_background_fixed_dark"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/normal_toolbar_container">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="2dp"
            android:layout_marginRight="2dp">

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/list_refresh"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/list_rv"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1" />

                    <include
                        android:id="@+id/pieceMediaControl"
                        layout="@layout/piece_media_control" />

                    <com.gh.gamecenter.common.view.NavigationBarView
                        android:id="@+id/navigationBar"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/ui_surface_fixed_dark" />

                </LinearLayout>
            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

            <include
                android:id="@+id/reuse_ll_loading"
                layout="@layout/reuse_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true" />

            <include
                android:id="@+id/reuse_no_connection"
                layout="@layout/reuse_no_connection" />

            <include
                android:id="@+id/reuse_none_data"
                layout="@layout/reuse_none_data" />

            <include
                android:id="@+id/reuse_data_exception"
                layout="@layout/reuse_data_exception" />

        </RelativeLayout>
    </LinearLayout>

    <FrameLayout
        android:id="@+id/layout_activity_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</com.gh.gamecenter.common.view.MaterializedConstraintLayout>

